DELETE
https://api.cryptohopper.com/v1/hopper/{id}/marketmaker/backlog/{backlog_id}
Deletes one backlog position from a market maker bot.
OAuth scope:
read manage About scopes
Example request
curl -X DELETE "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker/backlog/BACKLOG_ID" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker/backlog/BACKLOG_ID', {
method: 'DELETE',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.delete(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker/backlog/BACKLOG_ID",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker/backlog/BACKLOG_ID');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
backlog_id |
string | Required | Backlog position ID. |
id |
string | Required | Hopper ID of a market maker bot. |
Response
{
"data": "Backlog(s) removed."
}